> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get call engagement dispositions

> Get all possible dispositions for sales calls (stored as engagements), listed as the outcome when viewing the call's outcome when viewing the call in the timeline in HubSpot. Due to how the underlying redirect logic works, your API logs will show any calls to this endpoint as /twilio/v1/dispositions.



## OpenAPI

````yaml specs/legacy/v1/crm-engagements-v1.json GET /calling/v1/dispositions
openapi: 3.0.0
info:
  title: CRM Engagements API v1
  version: 1.0.0
  description: Legacy CRM Engagements API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /calling/v1/dispositions:
    get:
      summary: Get call engagement dispositions
      description: >-
        Get all possible dispositions for sales calls (stored as engagements),
        listed as the outcome when viewing the call's outcome when viewing the
        call in the timeline in HubSpot. Due to how the underlying redirect
        logic works, your API logs will show any calls to this endpoint as
        /twilio/v1/dispositions.
      operationId: getcallingv1dispositions
      responses:
        '200':
          description: Successful response - List of available call dispositions
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    label:
                      type: string

````